Oore CI

Rotate project secret

Replaces the stored value. Requires the manage pipelines project permission.

Operation IDrotate_project_secret
PUT
/v1/projects/{project_id}/secrets/{name}

Replaces the stored value. Requires the manage pipelines project permission.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

name*string

Secret name

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Replace a secret's value (rotation).

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/secrets/string" \  -H "Content-Type: application/json" \  -d '{    "value": "string"  }'
{  "secret": {    "created_at": 0,    "name": "string",    "pipeline_id": "string",    "project_id": "string",    "scope": "instance",    "updated_at": 0  }}